Upgrade from 2.0 to 3.0 failed

    • OMV 3.x
    • Update

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • Upgrade from 2.0 to 3.0 failed

      Hello,

      I thought of upgrading the system to 3.0 and now i can't use the system at all. After doing the upgrade. rebooted but with no GUI and no ssh but some of the plugins where still connecting like sabnzb sickbeard etc.. but no GUI no SSH so i managed to use the terminal from the main server and done apt-get upgrade i gone through all the updates. I rebooted and i got SSH back but no GUI still getting a blank page. I tried to check the OMV-firstaid to config the web control panel and see if there any thing when i confirm the post i get a msg: ERROR: [Errno 2] No such file or directory.

      Display Spoiler
      root@***:~# apt-get upgrade
      Reading package lists... Done
      Building dependency tree
      Reading state information... Done
      Calculating upgrade... Done
      0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
      3 not fully installed or removed.
      After this operation, 0 B of additional disk space will be used.
      Do you want to continue? [Y/n] y
      Setting up samba (2:4.2.14+dfsg-0+deb8u1) ...
      insserv: Service samba has to be enabled to start service greyhole
      insserv: exiting now!
      update-rc.d: error: insserv rejected the script header
      dpkg: error processing package samba (--configure):
      subprocess installed post-installation script returned error exit status 1
      dpkg: dependency problems prevent configuration of openmediavault:
      openmediavault depends on samba; however:
      Package samba is not configured yet.

      dpkg: error processing package openmediavault (--configure):
      dependency problems - leaving unconfigured
      dpkg: dependency problems prevent configuration of openmediavault-omvextrasorg:
      openmediavault-omvextrasorg depends on openmediavault (>= 3.0.47); however:
      Package openmediavault is not configured yet.

      dpkg: error processing package openmediavault-omvextrasorg (--configure):
      dependency problems - leaving unconfigured
      Errors were encountered while processing:
      samba
      openmediavault
      openmediavault-omvextrasorg
      Creating index of upgradeable packages ...
      Creating index of openmediavault plugins ...
      E: Sub-process /usr/bin/dpkg returned an error code (1)
      root@***:~#


      Tried apt-get install -f ( Same results)
      am stuck and dont want to loose the setting on the plugins but before i done the upgrade ( I went in to the backup open on the GUI and i have backed up the system. just incase something happens.


      But now what can i do to get the OMV back up and running again on 3.0.
      System: Openmediavault
      Processor: intel Core i7 970 3.20GHz
      Ram: Corsair 12GB DDR3 1066Mhz Dominator-GT
      Motherboard: asus rampage iii extreme Upgrading to asus rampage iv extreme next month
      Hdd: 8TB upgrading to 4 x 2tb hdd

      Services running on the system:
      Gaming Server: CS:Go, CS 1.6, Minecraft Bukkit x2, Killing floor x 2, L4D2, Team fortress 2, Garry's Mod, BF2, Teamspeak 3.
      TCadmin, Subsonic, SABnzbd, Headphone, Plex, Couchpotato, Sickbeard, Owncloud,
    • Here is the output of : dpkg -l | grep openm
      If it helps

      Display Spoiler
      Display Spoiler
      root@****:~# dpkg -l | grep openm
      ii libopenmpi-dev 1.6.5-9.1 amd64 high performance message passing library -- header files
      rc libopenmpi1.3 1.4.5-1 amd64 high performance message passing library -- shared library
      ii libopenmpi1.6 1.6.5-9.1 amd64 high performance message passing library -- shared library
      iU openmediavault 3.0.51 all Open network attached storage solution
      rc openmediavault-backup 3.3.4 all backup plugin for OpenMediaVault.
      rc openmediavault-btsync 1.0.14 all BitTorrent Sync plugin for OpenMediaVault.
      rc openmediavault-calibre 1.1 all Calibre plugin for OpenMediaVault.
      rc openmediavault-clamav 3.2.6 all OpenMediaVault ClamAV plugin
      rc openmediavault-couchpotato 1.0.3 all OpenMediaVault CouchPotatoServer plugin
      rc openmediavault-cups 3.1.1 all OpenMediaVault CUPS (network printer server) plugin.
      rc openmediavault-ddclient 1.0.4 all DDclient plugin for OpenMediaVault.
      rc openmediavault-downloader 3.3 all OpenMediaVault downloader plugin
      rc openmediavault-emby 2.7 all Emby plugin for OpenMediaVault.
      rc openmediavault-extplorer 1.3.1 all OpenMediaVault eXtplorer plugin
      rc openmediavault-fail2ban 1.1.5 all OpenMediaVault Fail2ban plugin
      rc openmediavault-flashmemory 3.4.3 all folder2ram plugin for OpenMediaVault
      rc openmediavault-greyhole 2.1 all OpenMediaVault Greyhole (Storage pool server) plugin
      rc openmediavault-headphones 1.0.2 all OpenMediaVault Headphones plugin
      rc openmediavault-hpraid 3.1 all HPRaid plugin for OpenMediaVault.
      ii openmediavault-keyring 1.0 all GnuPG archive keys of the OpenMediaVault archive
      rc openmediavault-ldap 3.1.3 all OpenMediaVault Lightweight Directory Access Protocol (LDAP) plugin
      rc openmediavault-letsencrypt 2.5 all Generate free and valid SSL certificates for OMV
      rc openmediavault-links 1.5 all OpenMediaVault links plugin
      rc openmediavault-locate 3.3 all locate plugin for OpenMediaVault.
      rc openmediavault-luksencryption 2.1.2 all OpenMediaVault LUKS encryption plugin
      rc openmediavault-lvm2 3.1.3 all OpenMediaVault Logical Volume Manager (LVM2) plugin
      rc openmediavault-mcmyadmin 1.2 all McMyAdmin for OpenMediaVault
      rc openmediavault-minidlna 3.3.3 all OpenMediaVault miniDLNA (DLNA server) plugin
      rc openmediavault-mpd 1.0.3 all OpenMediaVault MPD (Music Player Daemon) plugin
      rc openmediavault-mumble 3.0.4 all Mumble server plugin for OpenMediaVault.
      rc openmediavault-mysql 3.0.4 all MySQL plugin for OpenMediaVault.
      rc openmediavault-netatalk 3.2.2 all OpenMediaVault netatalk (AppleTalk Protocol Suite) plugin
      rc openmediavault-nginx 3.0.8 all Nginx plugin for OpenMediaVault.
      rc openmediavault-nut 3.2.3 all OpenMediaVault Network UPS Tools (NUT) plugin
      rc openmediavault-offlineimap 1.2 all offlineimap plugin for OpenMediaVault.
      iU openmediavault-omvextrasorg 3.4.5 all OMV-Extras.org Package Repositories for OpenMediaVault
      rc openmediavault-openvpn 3.0.3 all OpenVPN plugin for OpenMediaVault.
      rc openmediavault-owncloud 2.0.3 all OpenMediaVault ownCloud plugin
      rc openmediavault-plexmediaserver 3.6 all OpenMediaVault Plex Media Server plugin
      rc openmediavault-remotedesktop 3.6 all Remote desktop plugin for OpenMediaVault.
      rc openmediavault-remoteshare 1.1 all remote share plugin for OpenMediaVault.
      rc openmediavault-roundcube 1.1 all OpenMediaVault Roundcube (webmail) plugin
      rc openmediavault-route 3.1.1 all OpenMediaVault IP routing table plugin
      rc openmediavault-rsnapshot 3.7 all OpenMediaVault rsnapshot backup plugin.
      rc openmediavault-sabnzbd 1.0.5 all OpenMediaVault SABnzbd plugin
      rc openmediavault-shairport 3.2.3 all OpenMediaVault shairport (AirPlay/RAOP receiver) plugin
      rc openmediavault-sickbeard 1.0.10 all OpenMediaVault Sick Beard plugin
      rc openmediavault-snapraid 3.3 all snapraid plugin for OpenMediaVault.
      rc openmediavault-subsonic 1.0.8 all A web-based music streamer, jukebox and Podcast receiver
      rc openmediavault-syncthing 1.9.2 all Syncthing plugin for OpenMediaVault.
      rc openmediavault-teamspeak3 1.0.1 all OpenMediaVault TeamSpeak 3 plugin
      rc openmediavault-transmissionbt 3.0.8 all OpenMediaVault Transmission (BitTorrent client) plugin.
      rc openmediavault-unionfilesystems 3.1.7 all Union filesystems plugin for OpenMediaVault.
      rc openmediavault-usbbackup 3.2.12 all OpenMediaVault USB/eSATA backup plugin
      rc openmediavault-virtualbox 1.3 all VirtualBox plugin for OpenMediaVault.
      rc openmediavault-webdav 3.0.3 all OpenMediaVault WebDAV plugin.
      rc openmediavault-wol 3.1 all OpenMediaVault WOL plugin
      rc openmediavault-wordpress 1.0.2 all OpenMediaVault Wordpress plugin
      ii openmpi-bin 1.6.5-9.1 amd64 high performance message passing library -- binaries
      ii openmpi-common 1.6.5-9.1 all high performance message passing library -- common files
      root@***:~#
      System: Openmediavault
      Processor: intel Core i7 970 3.20GHz
      Ram: Corsair 12GB DDR3 1066Mhz Dominator-GT
      Motherboard: asus rampage iii extreme Upgrading to asus rampage iv extreme next month
      Hdd: 8TB upgrading to 4 x 2tb hdd

      Services running on the system:
      Gaming Server: CS:Go, CS 1.6, Minecraft Bukkit x2, Killing floor x 2, L4D2, Team fortress 2, Garry's Mod, BF2, Teamspeak 3.
      TCadmin, Subsonic, SABnzbd, Headphone, Plex, Couchpotato, Sickbeard, Owncloud,
    • Did you really have every plugin installed?? Why?

      When you upgrade, I guarantee there was an error message. Have you tried apt-get -f install after rebooting? The web interface will not work until the upgrade is finished.
      omv 4.1.9 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.9
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • am not using all the plugins.

      after the upgrade is finished i rebooted and still no gui blank page.

      apt-get -f install

      Display Spoiler
      # apt-get -f install
      Reading package lists... Done
      Building dependency tree
      Reading state information... Done
      0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
      3 not fully installed or removed.
      After this operation, 0 B of additional disk space will be used.
      Setting up samba (2:4.2.14+dfsg-0+deb8u1) ...
      insserv: Service samba has to be enabled to start service greyhole
      insserv: exiting now!
      update-rc.d: error: insserv rejected the script header
      dpkg: error processing package samba (--configure):
      subprocess installed post-installation script returned error exit status 1
      dpkg: dependency problems prevent configuration of openmediavault:
      openmediavault depends on samba; however:
      Package samba is not configured yet.

      dpkg: error processing package openmediavault (--configure):
      dependency problems - leaving unconfigured
      dpkg: dependency problems prevent configuration of openmediavault-omvextrasorg:
      openmediavault-omvextrasorg depends on openmediavault (>= 3.0.47); however:
      Package openmediavault is not configured yet.

      dpkg: error processing package openmediavault-omvextrasorg (--configure):
      dependency problems - leaving unconfigured
      Errors were encountered while processing:
      samba
      openmediavault
      openmediavault-omvextrasorg
      Creating index of upgradeable packages ...
      Creating index of openmediavault plugins ...
      E: Sub-process /usr/bin/dpkg returned an error code (1)
      System: Openmediavault
      Processor: intel Core i7 970 3.20GHz
      Ram: Corsair 12GB DDR3 1066Mhz Dominator-GT
      Motherboard: asus rampage iii extreme Upgrading to asus rampage iv extreme next month
      Hdd: 8TB upgrading to 4 x 2tb hdd

      Services running on the system:
      Gaming Server: CS:Go, CS 1.6, Minecraft Bukkit x2, Killing floor x 2, L4D2, Team fortress 2, Garry's Mod, BF2, Teamspeak 3.
      TCadmin, Subsonic, SABnzbd, Headphone, Plex, Couchpotato, Sickbeard, Owncloud,
    • Output for apt-get remove openmediavault-omvextrasorg

      Display Spoiler
      apt-get remove openmediavault-omvextrasorg
      Reading package lists... Done
      Building dependency tree
      Reading state information... Done
      The following packages will be REMOVED:
      openmediavault-omvextrasorg
      0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
      3 not fully installed or removed.
      After this operation, 475 kB disk space will be freed.
      Do you want to continue? [Y/n] y
      (Reading database ... 113294 files and directories currently installed.)
      Removing openmediavault-omvextrasorg (3.4.5) ...
      Setting up samba (2:4.2.14+dfsg-0+deb8u1) ...
      insserv: Service samba has to be enabled to start service greyhole
      insserv: exiting now!
      update-rc.d: error: insserv rejected the script header
      dpkg: error processing package samba (--configure):
      subprocess installed post-installation script returned error exit status 1
      dpkg: dependency problems prevent configuration of openmediavault:
      openmediavault depends on samba; however:
      Package samba is not configured yet.

      dpkg: error processing package openmediavault (--configure):
      dependency problems - leaving unconfigured
      Errors were encountered while processing:
      samba
      openmediavault
      Creating index of upgradeable packages ...
      Creating index of openmediavault plugins ...
      E: Sub-process /usr/bin/dpkg returned an error code (1)



      Plugins which am using:

      Display Spoiler

      penmediavault-backup
      openmediavault-btsync
      openmediavault-clamav
      openmediavault-couchpotato
      openmediavault-extplorer
      openmediavault-fail2ban
      openmediavault-greyhole
      openmediavault-headphones
      openmediavault-ldap
      openmediavault-mcmyadmin
      openmediavault-minidlna
      openmediavault-mysql
      openmediavault-netatalk
      openmediavault-nginx
      openmediavault-openvpn
      openmediavault-plexmediaserver
      openmediavault-sabnzbd
      openmediavault-shairport
      openmediavault-sickbeard
      openmediavault-subsonic
      openmediavault-syncthing
      openmediavault-teamspeak3
      openmediavault-transmissionbt
      openmediavault-virtualbox
      openmediavault-webdav
      openmediavault-wol
      openmediavault-wordpress
      System: Openmediavault
      Processor: intel Core i7 970 3.20GHz
      Ram: Corsair 12GB DDR3 1066Mhz Dominator-GT
      Motherboard: asus rampage iii extreme Upgrading to asus rampage iv extreme next month
      Hdd: 8TB upgrading to 4 x 2tb hdd

      Services running on the system:
      Gaming Server: CS:Go, CS 1.6, Minecraft Bukkit x2, Killing floor x 2, L4D2, Team fortress 2, Garry's Mod, BF2, Teamspeak 3.
      TCadmin, Subsonic, SABnzbd, Headphone, Plex, Couchpotato, Sickbeard, Owncloud,
    • greyhole is stopping the upgrade at the moment (remove it) but you won't be able to install the plugins that haven't been ported:

      openmediavault-btsync
      openmediavault-extplorer
      openmediavault-greyhole
      openmediavault-headphones
      openmediavault-mcmyadmin
      openmediavault-subsonic
      openmediavault-wordpress
      omv 4.1.9 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.9
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • I tried to remove it but it says its not installed.
      Display Spoiler
      :~# apt-get remove openmediavault-greyhole
      Reading package lists... Done
      Building dependency tree
      Reading state information... Done
      Package 'openmediavault-greyhole' is not installed, so not removed
      0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
      2 not fully installed or removed.
      After this operation, 0 B of additional disk space will be used.
      Setting up samba (2:4.2.14+dfsg-0+deb8u1) ...
      insserv: Service samba has to be enabled to start service greyhole
      insserv: exiting now!
      update-rc.d: error: insserv rejected the script header
      dpkg: error processing package samba (--configure):
      subprocess installed post-installation script returned error exit status 1
      dpkg: dependency problems prevent configuration of openmediavault:
      openmediavault depends on samba; however:
      Package samba is not configured yet.

      dpkg: error processing package openmediavault (--configure):
      dependency problems - leaving unconfigured
      Errors were encountered while processing:
      samba
      openmediavault
      Creating index of upgradeable packages ...
      Creating index of openmediavault plugins ...
      E: Sub-process /usr/bin/dpkg returned an error code (1)

      root@****:~# apt-get --purge remove openmediavault-greyhole
      Reading package lists... Done
      Building dependency tree
      Reading state information... Done
      The following packages will be REMOVED:
      openmediavault-greyhole*
      0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
      2 not fully installed or removed.
      After this operation, 0 B of additional disk space will be used.
      Do you want to continue? [Y/n] y
      (Reading database ... 113216 files and directories currently installed.)
      Removing openmediavault-greyhole (2.1) ...
      Purging configuration files for openmediavault-greyhole (2.1) ...
      Setting up samba (2:4.2.14+dfsg-0+deb8u1) ...
      insserv: Service samba has to be enabled to start service greyhole
      insserv: exiting now!
      update-rc.d: error: insserv rejected the script header
      dpkg: error processing package samba (--configure):
      subprocess installed post-installation script returned error exit status 1
      dpkg: dependency problems prevent configuration of openmediavault:
      openmediavault depends on samba; however:
      Package samba is not configured yet.

      dpkg: error processing package openmediavault (--configure):
      dependency problems - leaving unconfigured
      Errors were encountered while processing:
      samba
      openmediavault
      Creating index of upgradeable packages ...
      Creating index of openmediavault plugins ...
      E: Sub-process /usr/bin/dpkg returned an error code (1)



      but when i check dpkg -l | grep openm ( Its not on the list any more. I tried to apt-get -f install it coming with the same error.
      I dont mind i can wait for the above plugins to be ported
      System: Openmediavault
      Processor: intel Core i7 970 3.20GHz
      Ram: Corsair 12GB DDR3 1066Mhz Dominator-GT
      Motherboard: asus rampage iii extreme Upgrading to asus rampage iv extreme next month
      Hdd: 8TB upgrading to 4 x 2tb hdd

      Services running on the system:
      Gaming Server: CS:Go, CS 1.6, Minecraft Bukkit x2, Killing floor x 2, L4D2, Team fortress 2, Garry's Mod, BF2, Teamspeak 3.
      TCadmin, Subsonic, SABnzbd, Headphone, Plex, Couchpotato, Sickbeard, Owncloud,

      The post was edited 1 time, last by wafic ().

    • I managed to install it by removing samba and reinstalling openmediavault. Got the GUI up and running. Have to reinstall most of the plugins again.
      System: Openmediavault
      Processor: intel Core i7 970 3.20GHz
      Ram: Corsair 12GB DDR3 1066Mhz Dominator-GT
      Motherboard: asus rampage iii extreme Upgrading to asus rampage iv extreme next month
      Hdd: 8TB upgrading to 4 x 2tb hdd

      Services running on the system:
      Gaming Server: CS:Go, CS 1.6, Minecraft Bukkit x2, Killing floor x 2, L4D2, Team fortress 2, Garry's Mod, BF2, Teamspeak 3.
      TCadmin, Subsonic, SABnzbd, Headphone, Plex, Couchpotato, Sickbeard, Owncloud,
    • My mistake i thought it was omv-greyhole.

      on the GUI am getting an error: The property 'shares.share.0.name' does not exist in the model 'conf.service.smb'.
      Display Spoiler
      Error #0:exception 'OMV\AssertException' with message 'The property 'shares.share.0.name' does not exist in the model 'conf.service.smb'.' in /usr/share/php/openmediavault/config/configobject.inc:71Stack trace:#0 /usr/share/php/openmediavault/config/configobject.inc(186): OMV\Config\ConfigObject->assertExists('shares.share.0....')#1 /usr/share/php/openmediavault/config/configobject.inc(271): OMV\Config\ConfigObject->set('shares.share.0....', 'files-apps', false)#2 /usr/share/php/openmediavault/config/configobject.inc(233): OMV\Config\ConfigObject->setFlatAssoc(Array, false, false)#3 /usr/share/php/openmediavault/config/database.inc(90): OMV\Config\ConfigObject->setAssoc(Array, false)#4 /usr/share/openmediavault/engined/module/samba.inc(72): OMV\Config\Database->get('conf.service.sm...')#5 /usr/share/openmediavault/engined/rpc/services.inc(56): OMVModuleSamba->getStatus()#6 [internal function]: OMVRpcServiceServices->getStatus(Array, Array)#7 /usr/share/php/openmediavault/rpc/serviceabstract.inc(124): call_user_func_array(Array, Array)#8 /usr/share/php/openmediavault/rpc/rpc.inc(84): OMV\Rpc\ServiceAbstract->callMethod('getStatus', Array, Array)#9 /usr/sbin/omv-engined(516): OMV\Rpc\Rpc::call('Services', 'getStatus', Array, Array, 1)#10 {main}
      System: Openmediavault
      Processor: intel Core i7 970 3.20GHz
      Ram: Corsair 12GB DDR3 1066Mhz Dominator-GT
      Motherboard: asus rampage iii extreme Upgrading to asus rampage iv extreme next month
      Hdd: 8TB upgrading to 4 x 2tb hdd

      Services running on the system:
      Gaming Server: CS:Go, CS 1.6, Minecraft Bukkit x2, Killing floor x 2, L4D2, Team fortress 2, Garry's Mod, BF2, Teamspeak 3.
      TCadmin, Subsonic, SABnzbd, Headphone, Plex, Couchpotato, Sickbeard, Owncloud,
    • You will probably have to edit /etc/openmediavault/config.xml to fix that.
      omv 4.1.9 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.9
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • ryecoaaron wrote:

      You will probably have to edit /etc/openmediavault/config.xml to fix that.
      What should i change in the config.xml

      Am having similar problem with mysql and most of the plugins i had installed again.
      if there any steps you can or a link to what i need to do?

      Many thanks for all your help ryecoaaron
      System: Openmediavault
      Processor: intel Core i7 970 3.20GHz
      Ram: Corsair 12GB DDR3 1066Mhz Dominator-GT
      Motherboard: asus rampage iii extreme Upgrading to asus rampage iv extreme next month
      Hdd: 8TB upgrading to 4 x 2tb hdd

      Services running on the system:
      Gaming Server: CS:Go, CS 1.6, Minecraft Bukkit x2, Killing floor x 2, L4D2, Team fortress 2, Garry's Mod, BF2, Teamspeak 3.
      TCadmin, Subsonic, SABnzbd, Headphone, Plex, Couchpotato, Sickbeard, Owncloud,
    • This is why I prefer fresh installs...


      wafic wrote:

      Am having similar problem with mysql and most of the plugins i had installed again.
      if there any steps you can or a link to what i need to do?
      There might be posts in the forum for each error but I don't know. Search for each specific error. Not sure what else you can do.
      omv 4.1.9 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.9
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • tinh_x7 wrote:

      I'm looking at the OMV3 plugins, Emby, and Let's Encrypt are not port yet, right?
      Nope but if you read the emby thread, it is very easy to install without the plugin.

      Upgrades are a pain.
      omv 4.1.9 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.9
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • tinh_x7 wrote:

      Is there a way for users to upgrade easier?
      If there was, don't you think I would recommend it?
      omv 4.1.9 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.9
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • ryecoaaron wrote:

      tinh_x7 wrote:

      Is there a way for users to upgrade easier?
      If there was, don't you think I would recommend it?
      To be honest I wouldn't recommend upgrading from OMV 2.0 to 3.0 its a nightmare. What you can do backup the settings for each plugin you using like Emby ect.. and install omv 3 from fresh you can restore your plugins settings from the backups you done. thats the easy way. Its what i have done at the end after upgrading to OMV 3.0 i had lots of problems but i have backed up the setting for all the plugins am using and reinstalled fresh omv 3.0 and now everything is working perfectly took me 1 days to do all this but its worth it instead of going through 100 of errors and ups and downs.
      System: Openmediavault
      Processor: intel Core i7 970 3.20GHz
      Ram: Corsair 12GB DDR3 1066Mhz Dominator-GT
      Motherboard: asus rampage iii extreme Upgrading to asus rampage iv extreme next month
      Hdd: 8TB upgrading to 4 x 2tb hdd

      Services running on the system:
      Gaming Server: CS:Go, CS 1.6, Minecraft Bukkit x2, Killing floor x 2, L4D2, Team fortress 2, Garry's Mod, BF2, Teamspeak 3.
      TCadmin, Subsonic, SABnzbd, Headphone, Plex, Couchpotato, Sickbeard, Owncloud,
    • wafic wrote:

      To be honest I wouldn't recommend upgrading from OMV 2.0 to 3.0 its a nightmare.
      I agree with that and I do usually push people toward a fresh install instead of upgrades. I need to work on some ideas for helping upgrades.
      omv 4.1.9 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.9
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!